:: This file is to be used after uninstalling Articulate Storyline to remove relevant program files and regsitry keys.

:: This section deletes the Articulate StorylineOLD directory if this script has been run previously.
rd "C:\Program Files\Articulate\Articulate StorylineOLD" /s /q
rd "C:\Program Files (x86)\Articulate\Articulate StorylineOLD" /s /q

:: This section makes a backup copy of the Articulate Storyline program files.
rename "C:\Program Files\Articulate\Articulate Storyline" "Articulate StorylineOLD"
rename "C:\Program Files (x86)\Articulate\Articulate Storyline" "Articulate StorylineOLD"

:: This section deletes the illustrated characters.
rd "C:\Program Files\Common Files\Articulate\Characters\Illustrated" /s /q
rd "C:\Program Files (x86)\Common Files\Articulate\Characters\Illustrated" /s /q

:: This section was removed when Studio '13 was released.
:: This section makes a backup copy of the Articulate files in the current user's profile.
:: rename "%appdata%\Articulate" ArticulateOLD

:: This section deletes the Articulate temp files.
rd "%temp%\Articulate" /s /q

:: This section removes Articulate Storyline registry keys.
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Fireball\1.0\SL1" /f
REG DELETE "HKEY_CURRENT_USER\Software\Articulate\Storyline" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Articulate\Articulate Storyline" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Articulate\Fireball\1.0\SL1" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Articulate\Articulate Storyline" /f
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Articulate\Fireball\1.0\SL1" /f

:: This section gives the user a confirmation message.
msg "%username%" Articulate Storyline program files and registry keys have been removed.